#
# Conditional build:
%bcond_with	tests	# perform "make test" (uses network!)

%define		pdir	Net
%define		pnam	RawIP
%include	/usr/lib/rpm/macros.perl
Summary:	Net::RawIP perl module
Summary(pl.UTF-8):	Moduł perla Net::RawIP
Name:		perl-Net-RawIP
Version:	0.25
Release:	8
Epoch:		1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a99f461e20e7894154f64729a4652448
URL:		http://search.cpan.org/dist/Net-RawIP/
BuildRequires:	libpcap-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-libnet
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::RawIP Perl extension to manipulate raw IP packets.

%description -l pl.UTF-8
Net::RawIP - wsparcie do manipulacji surowymi pakietami IP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Net/RawIP.pm
%dir %{perl_vendorarch}/auto/Net/RawIP
%attr(755,root,root) %{perl_vendorarch}/auto/Net/RawIP/RawIP.so
%{perl_vendorarch}/auto/Net/RawIP/autosplit.ix
%dir %{perl_vendorarch}/Net/RawIP
%{perl_vendorarch}/Net/RawIP/*.pm
%{_mandir}/man?/*
%changelog
* Sun Jun 11 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Net-RawIP.git;a=log;h=master

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 3a6ea76
- perl req/prov fix
- release 8 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 52215b5
- rebuild with perl 5.26
- release 7 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 30cfb3d
- rebuild with perl 5.24.0
- release 6 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 0a643ca
- release 5 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 3639125
- x32 rebuild
- release 4 (by relup.sh)

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 16fd3ba
- use generic url

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 213ea1f
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 578cf74
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 567c06a
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Fri Aug 28 2009 amateja <amateja@pld-linux.org> 218f6c4
- updated to 0.25

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8a98875
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cbbb745
- converted to UTF-8

* Mon May 30 2005 petec <petec@pld-linux.org> a0a33e9
- up to 0.2

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> d515d08
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> b925988
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 972d895
- fixed perl-devel BR

* Mon Apr 26 2004 ankry <ankry@pld-linux.org> 4990b6e
- added tests, license fixes

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 52c1500
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> e40f239
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 62d249c
- massive attack: source-md5

